Feature #7360
Updated by Loïc Dachary over 9 years ago
"Work in progress":https://github.com/ceph/ceph/pull/1267
Once OSDs can handle Erasure Coding we should add back the test.sh test case for attempting to change the size of an Erasure Coded pool.
This is just the test.sh change of commit c8c4cc6e81816069886af6bff968712993554759
commit c8c4cc6e81816069886af6bff968712993554759
Author: Joao Eduardo Luis <joao.luis@inktank.com>
Date: Sun Feb 2 14:02:17 2014 +0000
mon: OSDMonitor: do not allow changing an erasure-coded pool's size
Fixes: 7277
Reviewed-by: Loic Dachary <loic@dachary.org>
Signed-off-by: Joao Eduardo Luis <joao.luis@inktank.com>
diff --git a/qa/workunits/cephtool/test.sh b/qa/workunits/cephtool/test.sh
index 58d0e94..8419c7f 100755
--- a/qa/workunits/cephtool/test.sh
+++ b/qa/workunits/cephtool/test.sh
@@ -369,6 +369,13 @@ ceph osd pool set data size $new_size
ceph osd pool get data size | grep "size: $new_size"
ceph osd pool set data size $old_size
+ceph osd crush rule create-erasure ec_ruleset
+ceph osd pool create pool_erasure 12 12 erasure crush_ruleset=ec_ruleset
+set +e
+ceph osd pool set pool_erasure size 4444 2>$TMPFILE
+check_response $? 38 'can not change the size'
+set -e
+
ceph osd pool set data hashpspool true
ceph osd pool set data hashpspool false
ceph osd pool set data hashpspool 0
Once OSDs can handle Erasure Coding we should add back the test.sh test case for attempting to change the size of an Erasure Coded pool.
This is just the test.sh change of commit c8c4cc6e81816069886af6bff968712993554759
commit c8c4cc6e81816069886af6bff968712993554759
Author: Joao Eduardo Luis <joao.luis@inktank.com>
Date: Sun Feb 2 14:02:17 2014 +0000
mon: OSDMonitor: do not allow changing an erasure-coded pool's size
Fixes: 7277
Reviewed-by: Loic Dachary <loic@dachary.org>
Signed-off-by: Joao Eduardo Luis <joao.luis@inktank.com>
diff --git a/qa/workunits/cephtool/test.sh b/qa/workunits/cephtool/test.sh
index 58d0e94..8419c7f 100755
--- a/qa/workunits/cephtool/test.sh
+++ b/qa/workunits/cephtool/test.sh
@@ -369,6 +369,13 @@ ceph osd pool set data size $new_size
ceph osd pool get data size | grep "size: $new_size"
ceph osd pool set data size $old_size
+ceph osd crush rule create-erasure ec_ruleset
+ceph osd pool create pool_erasure 12 12 erasure crush_ruleset=ec_ruleset
+set +e
+ceph osd pool set pool_erasure size 4444 2>$TMPFILE
+check_response $? 38 'can not change the size'
+set -e
+
ceph osd pool set data hashpspool true
ceph osd pool set data hashpspool false
ceph osd pool set data hashpspool 0